<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: rtl Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classpdts__scmd__merge.html">pdts_scmd_merge</a></li><li class="navelem"><a class="el" href="classpdts__scmd__merge_1_1rtl.html">rtl</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">rtl Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classpdts__scmd__merge_1_1rtl-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:a599695f5d95b6d7600cec5496e9ccabe"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a599695f5d95b6d7600cec5496e9ccabe"></a>
<a class="el" href="classpdts__scmd__merge_1_1rtl.html#a599695f5d95b6d7600cec5496e9ccabe">PROCESS_25</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">scmd_in_v</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a42bae7738737aea24ee3e95fbca6c0df"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a42bae7738737aea24ee3e95fbca6c0df"></a>
<a class="el" href="classpdts__scmd__merge_1_1rtl.html#a42bae7738737aea24ee3e95fbca6c0df">PROCESS_26</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a54ff18db804c41401197d37a13cb5ef7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a54ff18db804c41401197d37a13cb5ef7"></a>
<a class="el" href="classpdts__scmd__merge_1_1rtl.html#a54ff18db804c41401197d37a13cb5ef7">PROCESS_90</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">scmd_in_v</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ad4e1042eb529c7e9aca7409d0217e4bb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad4e1042eb529c7e9aca7409d0217e4bb"></a>
<a class="el" href="classpdts__scmd__merge_1_1rtl.html#ad4e1042eb529c7e9aca7409d0217e4bb">PROCESS_91</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a0060b3febf2cee4464ff4147fde82647"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0060b3febf2cee4464ff4147fde82647"></a>
<a class="el" href="classpdts__scmd__merge_1_1rtl.html#a0060b3febf2cee4464ff4147fde82647">valid</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">N_SRC</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abf9cfad948261a5e7e27e0cfc3bd370d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abf9cfad948261a5e7e27e0cfc3bd370d"></a>
<a class="el" href="classpdts__scmd__merge_1_1rtl.html#abf9cfad948261a5e7e27e0cfc3bd370d">p</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">calc_width</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">N_SRC</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab8b9b72f19fab05427d89e0f0e09d865"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab8b9b72f19fab05427d89e0f0e09d865"></a>
<a class="el" href="classpdts__scmd__merge_1_1rtl.html#ab8b9b72f19fab05427d89e0f0e09d865">ip</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span><span class="vhdlchar">N_SRC</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a46d92074151902762ffefbc8f842d2c0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a46d92074151902762ffefbc8f842d2c0"></a>
<a class="el" href="classpdts__scmd__merge_1_1rtl.html#a46d92074151902762ffefbc8f842d2c0">ipa</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span><span class="vhdlchar">N_SRC</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acf6cb55bf759233a46dcd74004c8566e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acf6cb55bf759233a46dcd74004c8566e"></a>
<a class="el" href="classpdts__scmd__merge_1_1rtl.html#acf6cb55bf759233a46dcd74004c8566e">go</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a260d6e62e405333a5a43cd0e2b06db7f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a260d6e62e405333a5a43cd0e2b06db7f"></a>
<a class="el" href="classpdts__scmd__merge_1_1rtl.html#a260d6e62e405333a5a43cd0e2b06db7f">goq</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad473364f00a27f0f229545946dd897c8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad473364f00a27f0f229545946dd897c8"></a>
<a class="el" href="classpdts__scmd__merge_1_1rtl.html#ad473364f00a27f0f229545946dd897c8">last</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a70fff33e707e601c404888415c484ebb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a70fff33e707e601c404888415c484ebb"></a>
<a class="el" href="classpdts__scmd__merge_1_1rtl.html#a70fff33e707e601c404888415c484ebb">active</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7b920389eb8d43f47f1595c1b054cb80"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7b920389eb8d43f47f1595c1b054cb80"></a>
<a class="el" href="classpdts__scmd__merge_1_1rtl.html#a7b920389eb8d43f47f1595c1b054cb80">src</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:a1f8d761a5b034ec0dcf3ba9c60d212d1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1f8d761a5b034ec0dcf3ba9c60d212d1"></a>
<a class="el" href="classpdts__scmd__merge_1_1rtl.html#a1f8d761a5b034ec0dcf3ba9c60d212d1">prio</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.pdts_prio_enc</b>  </td></tr>
<tr class="memitem:a1f8d761a5b034ec0dcf3ba9c60d212d1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1f8d761a5b034ec0dcf3ba9c60d212d1"></a>
<a class="el" href="classpdts__scmd__merge_1_1rtl.html#a1f8d761a5b034ec0dcf3ba9c60d212d1">prio</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.pdts_prio_enc</b>  </td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__scmd__merge_8vhd_source.html#l00035">35</a> of file <a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__scmd__merge_8vhd_source.html">pdts_scmd_merge.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/DTS/ProtoDUNE_TimingSystem/<a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__scmd__merge_8vhd_source.html">pdts_scmd_merge.vhd</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/timing_system/ProtoDUNE_TimingSystem/<a class="el" href="timing__system_2ProtoDUNE__TimingSystem_2pdts__scmd__merge_8vhd_source.html">pdts_scmd_merge.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:34 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
